<?php
$page_security = 'SA_PROJECT_WORK_DONE';
$path_to_root = "../..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui/ui_input.inc");



include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
//include_once($path_to_root . "/includes/data_checks.inc");

include_once($path_to_root . "/projects/includes/db/project_boq_item_groups_db.inc");
include_once($path_to_root . "/projects/includes/db/project_payment_application_details_db.inc");
include_once($path_to_root . "/projects/includes/ui/work_done_entry_ui.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc");

        
$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}


simple_page_mode(true);

if (isset($_GET["trans_no"]))
{
	$project_id = $_GET["trans_no"];
}


page(_($help_context = "Project Workdone Details"), true, false, false, $js);



start_form();

if($project_id > 0){
    $project = get_project($project_id);
    
    display_heading2("Workdone Details of Project ".$project['description']);
    
    br();
}

display_work_done_boq_groups($path_to_root, $project_id);

//submit_center_first('Recalculate_Poject_PA', _("Recalculate Payment Application Summaries"), '', 'default');

end_form();


end_page();
